summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTiziano Mueller <dev-zero@gentoo.org>2009-07-12 15:58:22 +0200
committerTiziano Mueller <dev-zero@gentoo.org>2009-07-12 15:58:22 +0200
commit83e78381ac43273cca620c7119680e5cbc9492bc (patch)
treecd5619c05b162cda75c7aaba54d2c0eadd737d7a /dev-cpp
parentAdded ebuild for alarm-clock. (diff)
downloaddev-zero-83e78381ac43273cca620c7119680e5cbc9492bc.tar.gz
dev-zero-83e78381ac43273cca620c7119680e5cbc9492bc.tar.bz2
dev-zero-83e78381ac43273cca620c7119680e5cbc9492bc.zip
Added ebuild for glom, including it's dependencies goocanvasmm and version bumps for gnome-python-extras and libgda-python.
Diffstat (limited to 'dev-cpp')
-rw-r--r--dev-cpp/goocanvasmm/Manifest2
-rw-r--r--dev-cpp/goocanvasmm/goocanvasmm-0.14.0.ebuild52
2 files changed, 54 insertions, 0 deletions
diff --git a/dev-cpp/goocanvasmm/Manifest b/dev-cpp/goocanvasmm/Manifest
new file mode 100644
index 0000000..e403f9e
--- /dev/null
+++ b/dev-cpp/goocanvasmm/Manifest
@@ -0,0 +1,2 @@
+DIST goocanvasmm-0.14.0.tar.bz2 369065 RMD160 77b09cab9f8ecc0c9e3c7d39ac4871213bd88f9f SHA1 20b3eda1aa8e2c1f01fd3feac8fbb939ce6c942d SHA256 5d389018fa3f5629dc0e663d36872de47636bbbc9ac0f46167fdf3251fa5cdc1
+EBUILD goocanvasmm-0.14.0.ebuild 983 RMD160 9bcc75532cf03ff4588591e0f339b0e727e937bf SHA1 58a99a85529ab9e03686f0dad37af1c78f9cf285 SHA256 6e2131ce020c186123d0018afadf649bf7b0b5d685375515d44671dcbdef873a
diff --git a/dev-cpp/goocanvasmm/goocanvasmm-0.14.0.ebuild b/dev-cpp/goocanvasmm/goocanvasmm-0.14.0.ebuild
new file mode 100644
index 0000000..4a3e0a7
--- /dev/null
+++ b/dev-cpp/goocanvasmm/goocanvasmm-0.14.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit gnome2
+
+DESCRIPTION="C++ bindings for goocanvas"
+HOMEPAGE="http://live.gnome.org/GooCanvas"
+LICENSE="LGPL-2.1 examples? ( GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc examples"
+
+RDEPEND=">=dev-cpp/gtkmm-2.10.9:2.4
+ >=dev-cpp/glibmm-2.14.2:2
+ >=x11-libs/goocanvas-0.14"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig
+ doc? ( app-doc/doxygen )"
+
+DOCS="AUTHORS ChangeLog NEWS README TODO"
+
+src_prepare() {
+ gnome2_src_prepare
+
+ sed -i \
+ -e 's| docs tests examples||' \
+ Makefile.in || die "sed failed"
+}
+
+src_compile() {
+ gnome2_src_compile
+
+ if use doc ; then
+ cd docs/reference
+ doxygen Doxyfile || die "generating docs failed"
+ fi
+}
+
+src_install() {
+ gnome2_src_install
+
+ use doc && dohtml -r docs/reference/html/*
+
+ if use examples ; then
+ rm -rf examples/Makefile* examples/*/Makefile*
+ insinto /usr/share/doc/${PF}
+ doins -r examples
+ fi
+}